PHP is amongst the most widely used open-source server-side coding languages. It is exceptionally popular because it is free software, which can be used to develop interactive websites like social networks, online shopping portals or e-learning sites rather than static HTML-based sites. A PHP module must be installed on the server where a PHP-powered website is hosted so that its source code can be ‘translated’. Because there aren’t any license taxes for this type of module and the language itself provides infinite options for the Internet applications that you set up, there’re hundreds of millions of PHP-powered sites. What is more, there’re an enormous number of PHP scripts, which you can use for your websites without needing to possess any coding know-how. Since there’re a number of versions of PHP, you should verify that the very same version that you used whilst setting up your website is installed on the web server too.

PHP 4 and PHP 5 Support in Website Hosting

In case you get a website hosting plan from our company, you won’t ever need to speculate on whether your sites are compatible with the hosting platform, as multiple versions of PHP are installed on our servers for the sake of your convenience. The Hepsia Control Panel will allow you to choose PHP 5.5, 5.4, 5.3, 5.2 or 4 with only one click of the mouse and if you wish to change the version, the update will be applied instantly. Thus, many years of work on sites created with an older version will not be lost. Our hosting platform will even permit you to use a different PHP version for each domain hosted in your account, which means that you can use older and newer scripts simultaneously. Most hosting providers on the marketplace offer one, sometimes two PHP versions. In contrast to them, we strongly maintain that you should be the one to pick the version that will be used by your own sites.

PHP 4 and PHP 5 Support in Semi-dedicated Hosting

It’s our unremitting conviction that several years spent creating a website shouldn’t be lost, so if you buy a semi-dedicated server from our company, you’ll be able to use any script, regardless of whether it is new or old. In stark contrast with lots of hosting suppliers, we support a number of different PHP versions on our leading-edge cloud web hosting platform – 5.5, 5.4, 5.3, 5.2 and 4. Not only will you have the ability to enable the required version via your Hepsia hosting Control Panel, but you’ll also have the option to choose a different version for each single website. The latter can be done simply by inserting an .htaccess file into the given site’s root directory. You can change the current version not only for a single website, but also for the entire account and the new settings will take effect in only several minutes. With our web hosting services, you can rest assured that you won’t ever come across any site compatibility obstacles.